#include <bits/stdc++.h>
using namespace std;
ifstream f1("sinx.inp");
ofstream f2("sinx.out");
float x, e;
float ans;
int i;

long long factorial(int n)
{
    long long tmp = 1;
    for (int i = 1; i <= n; i++)
        tmp *= i;
    return tmp;
}
void tinhsin()
{
    f1 >> x >> e;
    ans = x;
    for (i = 1;;i++)
    {
        if (pow(x, 2 * i + 1) / factorial(2 * i + 1) <= e)
            break;
    }
    for (int j = 1; j <= i; j++)
        ans += (pow(-1, j) * pow(x, 2 * j + 1)) / factorial(2 * j + 1);
    f2.setf(ios::fixed);
    f2.setf(ios::showpoint);
    f2.precision(4);
    f2 << ans;
}
int main()
{
    tinhsin();
    return 0;
}
